{% extends "adminlte/index.html" %}

{% block widget_11 %}
<div class="col-6">
    <div class="card">
        <div class="card-header">
        <h3 class="card-title">{{ page_name|default:"Default" }}</h3>
        </div>
        <!-- /.card-header -->
        <div class="card-body table-responsive p-0">
        <table class="table table-hover text-nowrap">
            <thead>
            <tr>
                <th>ID</th>
                <th>Titre</th>
                <th>Auteur</th>
                <th>Catégorie</th>
                <th>Date</th>
            </tr>
            </thead>
            <tbody>
            {% for article in articles%}
            <tr onclick="document.location = '{{ article.get_url }}';">
                <td>{{ article.id }}</td>
                <td>{{ article.titre }}</td>
                <td>{{ article.auteur }}</td>
                <td>{{ article.categorie }}</td>
                <td>{{ article.date }}</td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
        </div>
        <!-- /.card-body -->
    </div>
    <!-- /.card -->
</div>
{% endblock widget_11 %}


{% block widget_12 %}
{% if id_article %}
    <div class="col-lg-6">
    <div class="card">
        <div class="card-header">
        <h5 class="m-0">Preview de l'article {{ id_article }}</h5>
        </div>
        <div class="card-body">
        <p class="card-text">
            {{ msg }}
        </p>
        <a href="#" class="btn btn-primary">Edit</a>
        </div>
    </div>
    </div>
{% endif %}
{% endblock widget_12 %}
